Agent BrainsAgent Brains
APIConversations

Send operator message

Accept an idempotent operator reply for an active web chat in human mode. A 202 response reports acceptance. Required scope: `conversations:write`.

POST
/conversations/{id}/messages
x-api-key<token>

Preferred authentication header.

In: header

Path Parameters

id*string

Conversation ID from an event or existing conversation record.

Match^[a-fA-F0-9]{24}$
Length24 <= length <= 24

Request Body

application/json

JSON object. Unknown properties are rejected.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.agent-brains.com/conversations/stringstringstringstring/messages" \  -H "Content-Type: application/json" \  -d '{    "body": "string",    "client_message_id": "string"  }'
{
  "id": "string",
  "conversation_id": "string",
  "body": "string",
  "direction": "incoming",
  "sender": {
    "type": "customer",
    "external_id": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "sequence": 1,
  "client_message_id": "string",
  "delivery_status": "pending"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}